Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.mail
Class ReadOnlyFolderException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.mail.MessagingException
                  javax.mail.ReadOnlyFolderException

All Implemented Interfaces:
  java.io.Serializable

public class ReadOnlyFolderException
extends MessagingException

This exception is thrown when an attempt is made to open a folder read-write access when the folder is marked read-only.

The getMessage() method returns more detailed information about the error that caused this exception.

Author:
  Jim Glennon
See Also:
  Serialized Form

Constructor Summary
`ReadOnlyFolderException(Folder folder)` Constructs a MessagingException with the specified folder.
`ReadOnlyFolderException(Folder folder, java.lang.String message)` Constructs a MessagingException with the specified folder and the specified detail message.

Method Summary
`Folder` | `getFolder()` Returns the dead Folder object.

Methods inherited from class javax.mail.MessagingException
`getMessage, getNextException, setNextException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ReadOnlyFolderException

    public ReadOnlyFolderException(Folder folder)

  Constructs a MessagingException with the specified folder.

Parameters:
  `folder` - the Folder
Since:
  JavaMail 1.2

### ReadOnlyFolderException

    public ReadOnlyFolderException(Folder folder,
                                   java.lang.String message)

  Constructs a MessagingException with the specified folder and the specified detail message.

Parameters:
  `folder` - the Folder
  `message` - the detailed error message
Since:
  JavaMail 1.2

Method Detail

### getFolder

    public Folder getFolder()

  Returns the dead Folder object.

  Since:
    JavaMail 1.2

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.